> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://help.sigmacomputing.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://help.sigmacomputing.com/_mcp/server.

# List grants for a connection path

GET https://api.sigmacomputing.com/v2/connections/paths/{connectionPathId}/grants

Get a list of permissions granted to a specific connection path.

  ### Usage notes
  - Retrieve the **connectionPathId** by calling the [/v2/connection/{connectionId}/lookup](https://help.sigmacomputing.com/reference/lookup-connection) endpoint and using the `inodeId` included in the response, or by calling the [/v2/connections/paths](https://help.sigmacomputing.com/reference/list-connection-paths) endpoint and using the `urlId` included in the response.
  

Reference: https://help.sigmacomputing.com/reference/list-connection-path-grants

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: sigma-rest-api
  version: 1.0.0
paths:
  /v2/connections/paths/{connectionPathId}/grants:
    get:
      operationId: listConnectionPathGrants
      summary: List grants for a connection path
      description: |-
        Get a list of permissions granted to a specific connection path.

          ### Usage notes
          - Retrieve the **connectionPathId** by calling the [/v2/connection/{connectionId}/lookup](https://help.sigmacomputing.com/reference/lookup-connection) endpoint and using the `inodeId` included in the response, or by calling the [/v2/connections/paths](https://help.sigmacomputing.com/reference/list-connection-paths) endpoint and using the `urlId` included in the response.
          
      tags:
        - Connections
      parameters:
        - name: connectionPathId
          in: path
          required: true
          schema:
            type: string
        - name: page
          in: query
          required: false
          schema:
            type: string
        - name: limit
          in: query
          required: false
          schema:
            type: number
            format: double
        - name: Authorization
          in: header
          description: OAuth authentication
          required: true
          schema:
            type: string
      responses:
        '200':
          description: The response body.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/connections_listConnectionPathGrants_Response_200
servers:
  - url: https://api.sigmacomputing.com
    description: Server for GCP (US) hosted organizations
  - url: https://api.sa.gcp.sigmacomputing.com
    description: Server for GCP (KSA) hosted organizations
  - url: https://aws-api.sigmacomputing.com
    description: Server for AWS US (West) hosted organizations
  - url: https://api.us-a.aws.sigmacomputing.com
    description: Server for AWS US (East) hosted organizations
  - url: https://api.ca.aws.sigmacomputing.com
    description: Server for AWS Canada hosted organizations
  - url: https://api.eu.aws.sigmacomputing.com
    description: Server for AWS Europe hosted organizations
  - url: https://api.au.aws.sigmacomputing.com
    description: Server for AWS Australia and APAC hosted organizations
  - url: https://api.uk.aws.sigmacomputing.com
    description: Server for AWS UK hosted organizations
  - url: https://api.us.azure.sigmacomputing.com
    description: Server for Azure US hosted organizations
  - url: https://api.eu.azure.sigmacomputing.com
    description: Server for Azure Europe hosted organizations
  - url: https://api.ca.azure.sigmacomputing.com
    description: Server for Azure Canada hosted organizations
  - url: https://api.uk.azure.sigmacomputing.com
    description: Server for Azure United Kingdom hosted organizations
  - url: https://api.au.azure.sigmacomputing.com
    description: Server for Azure Australia hosted organizations
components:
  schemas:
    V2ConnectionsPathsConnectionPathIdGrantsGetResponsesContentApplicationJsonSchemaEntriesItemsPermission0:
      type: string
      enum:
        - admin
        - annotate
        - update
        - usage
        - writeback
      description: 'Valid inode types: table, connection database, and connection schema.'
      title: >-
        V2ConnectionsPathsConnectionPathIdGrantsGetResponsesContentApplicationJsonSchemaEntriesItemsPermission0
    V2ConnectionsPathsConnectionPathIdGrantsGetResponsesContentApplicationJsonSchemaEntriesItemsPermission1:
      type: string
      enum:
        - create
        - annotate
        - organize
        - explore
        - view
        - edit
        - apply
      description: >-
        Valid inode types: folder, workspace, workbook, dataset, and data model.
        Can Contribute permissions are listed as **organize** and Can Manage
        permissions are listed as **edit**.
      title: >-
        V2ConnectionsPathsConnectionPathIdGrantsGetResponsesContentApplicationJsonSchemaEntriesItemsPermission1
    V2ConnectionsPathsConnectionPathIdGrantsGetResponsesContentApplicationJsonSchemaEntriesItemsPermission2:
      type: string
      enum:
        - view
        - edit
        - apply
      description: 'Valid inode types: version tag.'
      title: >-
        V2ConnectionsPathsConnectionPathIdGrantsGetResponsesContentApplicationJsonSchemaEntriesItemsPermission2
    V2ConnectionsPathsConnectionPathIdGrantsGetResponsesContentApplicationJsonSchemaEntriesItemsPermission:
      oneOf:
        - $ref: >-
            #/components/schemas/V2ConnectionsPathsConnectionPathIdGrantsGetResponsesContentApplicationJsonSchemaEntriesItemsPermission0
        - $ref: >-
            #/components/schemas/V2ConnectionsPathsConnectionPathIdGrantsGetResponsesContentApplicationJsonSchemaEntriesItemsPermission1
        - $ref: >-
            #/components/schemas/V2ConnectionsPathsConnectionPathIdGrantsGetResponsesContentApplicationJsonSchemaEntriesItemsPermission2
      description: The permission granted to the member
      title: >-
        V2ConnectionsPathsConnectionPathIdGrantsGetResponsesContentApplicationJsonSchemaEntriesItemsPermission
    V2ConnectionsPathsConnectionPathIdGrantsGetResponsesContentApplicationJsonSchemaEntriesItems:
      type: object
      properties:
        grantId:
          type: string
          description: The unique identifier of the grant
        inodeId:
          type: string
          description: The unique identifier of the inode
        organizationId:
          type: string
          description: The unique identifier of the organization
        memberId:
          type:
            - string
            - 'null'
          description: The unique identifier of the member
        teamId:
          type:
            - string
            - 'null'
          description: The unique identifier of the team
        permission:
          $ref: >-
            #/components/schemas/V2ConnectionsPathsConnectionPathIdGrantsGetResponsesContentApplicationJsonSchemaEntriesItemsPermission
          description: The permission granted to the member
        createdBy:
          type: string
          description: The identifier of the user who created this grant
        updatedBy:
          type: string
          description: The identifier of the user or process that last updated this grant
        createdAt:
          type: string
          format: date-time
          description: When the grant was created
        updatedAt:
          type: string
          format: date-time
          description: When the grant was last updated
      required:
        - grantId
        - inodeId
        - organizationId
        - memberId
        - teamId
        - permission
        - createdBy
        - updatedBy
        - createdAt
        - updatedAt
      title: >-
        V2ConnectionsPathsConnectionPathIdGrantsGetResponsesContentApplicationJsonSchemaEntriesItems
    connections_listConnectionPathGrants_Response_200:
      type: object
      properties:
        entries:
          type: array
          items:
            $ref: >-
              #/components/schemas/V2ConnectionsPathsConnectionPathIdGrantsGetResponsesContentApplicationJsonSchemaEntriesItems
        nextPage:
          type:
            - string
            - 'null'
        hasMore:
          type: boolean
          description: '**[Deprecated]** Indicates whether more results are available.'
      required:
        - entries
        - nextPage
      title: connections_listConnectionPathGrants_Response_200
  securitySchemes:
    OAuth:
      type: http
      scheme: bearer
      description: OAuth 2.0 authentication

```

## Examples



**Request**

```json
{}
```

**Response**

```json
{
  "entries": [
    {
      "grantId": "gnt-8f3a2b1c4d5e6f7a",
      "inodeId": "inode-9a7b6c5d4e3f2a1b",
      "organizationId": "org-1234567890abcdef",
      "memberId": "mem-456def789abc0123",
      "teamId": null,
      "permission": "admin",
      "createdBy": "user-789abc123def4567",
      "updatedBy": "user-789abc123def4567",
      "createdAt": "2024-01-15T09:30:00Z",
      "updatedAt": "2024-01-15T09:30:00Z"
    }
  ],
  "nextPage": "eyJwYWdlIjoxfQ==",
  "hasMore": true
}
```

**SDK Code**

```python
import requests

url = "https://api.sigmacomputing.com/v2/connections/paths/connectionPathId/grants"

payload = {}
headers = {
    "Authorization": "<token>.",
    "Content-Type": "application/json"
}

response = requests.get(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.sigmacomputing.com/v2/connections/paths/connectionPathId/grants';
const options = {
  method: 'GET',
  headers: {Authorization: '<token>.', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.sigmacomputing.com/v2/connections/paths/connectionPathId/grants"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("GET", url, payload)

	req.Header.Add("Authorization", "<token>.")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.sigmacomputing.com/v2/connections/paths/connectionPathId/grants")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = '<token>.'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.sigmacomputing.com/v2/connections/paths/connectionPathId/grants")
  .header("Authorization", "<token>.")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.sigmacomputing.com/v2/connections/paths/connectionPathId/grants', [
  'body' => '{}',
  'headers' => [
    'Authorization' => '<token>.',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.sigmacomputing.com/v2/connections/paths/connectionPathId/grants");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "<token>.");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "<token>.",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.sigmacomputing.com/v2/connections/paths/connectionPathId/grants")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```